### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServicesDeploymentEvent

java.lang.Object
com.sas.services.deployment.ServicesDeploymentEvent

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class ServicesDeploymentEvent extends Object implements Serializable
Event used to notify a listener of a change in the state of the foundation services deployment. Note that this class is serializable.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEPLOYMENT_STATE_DEPLOYED_LOCAL`
  Deployment state: services have been started
  `static final int`
  `DEPLOYMENT_STATE_DEPLOYED_REMOTE`
  Both local services have been started (if any) and remote services found (if any).
  `static final int`
  `DEPLOYMENT_STATE_DEPLOYING_LOCAL`
  Deployment state: services are in the process of being started
  `static final int`
  `DEPLOYMENT_STATE_DEPLOYING_REMOTE`
  Deployment state: searching for remotely instatiated services.
  `static final int`
  `DEPLOYMENT_STATE_FACADE_INITIALIZED`
  The facade has completed its requested deployment of services and its initialization and is ready to return any services that it has found.
  `static final int`
  `DEPLOYMENT_STATE_TERMINATED`
  Deployment state: services have been terminated.
  `static final int`
  `DEPLOYMENT_STATE_TERMINATING`
  Deployment state: services are in the process of being terminated
  `static final int`
  `DEPLOYMENT_STATE_UNITIALIZED`
  Deployment state: services have not yet been started.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServicesDeploymentEvent(int servicesDeploymentState)`
  Constructs services lifecycle event to communicate a state change to registered listeners.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getServicesDeploymentState()`
  Gets the state of the services deployment.
  `static final boolean`
  `isDeployedLocal(int servicesDeploymentState)`
  Determines whether or not the specified state signifies that services have been deployed locally.
  `static final boolean`
  `isDeployedRemote(int servicesDeploymentState)`
  Determines whether or not the specified state signifies that services are have been remotely deployed and are now available to lookup.
  `static final boolean`
  `isDeployingLocal(int servicesDeploymentState)`
  Determines whether or not the specified state signifies that services are currently being locally deployed.
  `static final boolean`
  `isDeployingRemote(int servicesDeploymentState)`
  Determines whether or not the specified state signifies that services are currently being remotely deployed and therefore not available via lookup.
  `static final boolean`
  `isFacadeInitialized(int servicesDeploymentState)`
  Determines whether or not the specified state signifies that the services facade has completed its requested service deployment and is initialized with any services that may have been deployed.
  `static final boolean`
  `isTerminated(int servicesDeploymentState)`
  Determines whether or not the specified state signifies that services are have been terminated.
  `static final boolean`
  `isTerminating(int servicesDeploymentState)`
  Determines whether or not the specified state signifies that services are currently being terminated.
  `static final boolean`
  `isUnitialized(int servicesDeploymentState)`
  Determines whether or not the specified state signifies that services are still uninitialized.
  `static final boolean`
  `isValidState(int servicesDeploymentState)`
  Determines whether or not the specified services deployment state is valid.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEPLOYMENT_STATE_UNITIALIZED

    public static final int DEPLOYMENT_STATE_UNITIALIZED
    Deployment state: services have not yet been started.
    See Also:
      - Constant Field Values

  - ### DEPLOYMENT_STATE_DEPLOYING_LOCAL

    public static final int DEPLOYMENT_STATE_DEPLOYING_LOCAL
    Deployment state: services are in the process of being started
    See Also:
      - Constant Field Values

  - ### DEPLOYMENT_STATE_DEPLOYING_REMOTE

    public static final int DEPLOYMENT_STATE_DEPLOYING_REMOTE
    Deployment state: searching for remotely instatiated services.
    See Also:
      - Constant Field Values

  - ### DEPLOYMENT_STATE_DEPLOYED_LOCAL

    public static final int DEPLOYMENT_STATE_DEPLOYED_LOCAL
    Deployment state: services have been started
    See Also:
      - Constant Field Values

  - ### DEPLOYMENT_STATE_DEPLOYED_REMOTE

    public static final int DEPLOYMENT_STATE_DEPLOYED_REMOTE
    Both local services have been started (if any) and remote services found (if any).
    See Also:
      - Constant Field Values

  - ### DEPLOYMENT_STATE_FACADE_INITIALIZED

    public static final int DEPLOYMENT_STATE_FACADE_INITIALIZED
    The facade has completed its requested deployment of services and its initialization and is ready to return any services that it has found.
    See Also:
      - Constant Field Values

  - ### DEPLOYMENT_STATE_TERMINATING

    public static final int DEPLOYMENT_STATE_TERMINATING
    Deployment state: services are in the process of being terminated
    See Also:
      - Constant Field Values

  - ### DEPLOYMENT_STATE_TERMINATED

    public static final int DEPLOYMENT_STATE_TERMINATED
    Deployment state: services have been terminated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ServicesDeploymentEvent

    public ServicesDeploymentEvent(int servicesDeploymentState) throws ServiceException
    Constructs services lifecycle event to communicate a state change to registered listeners.
    Parameters:
      `servicesDeploymentState` - Current state of the services deployment.
    Throws:
      `ServiceException` - if an invalid state is specified.

- ## Method Details

  - ### getServicesDeploymentState

    public final int getServicesDeploymentState()
    Gets the state of the services deployment. The state will be one of the following:
    - `DEPLOYMENT_STATE_UNITIALIZED`
    - `DEPLOYMENT_STATE_DEPLOYING_LOCAL`
    - `DEPLOYMENT_STATE_DEPLOYED_LOCAL`
    - `DEPLOYMENT_STATE_DEPLOYING_REMOTE`
    - `DEPLOYMENT_STATE_DEPLOYED_REMOTE`
    - `DEPLOYMENT_STATE_FACADE_INITIALIZED`
    - `DEPLOYMENT_STATE_TERMINATING`
    - `DEPLOYMENT_STATE_TERMINATED`
    Returns:
      Current state of the services deployment process.

  - ### isValidState

    public static final boolean isValidState(int servicesDeploymentState)
    Determines whether or not the specified services deployment state is valid.
    Parameters:
      `servicesDeploymentState` - whose validity needs to be checked.
    Returns:
      `true` if the services deployment state is valid or `false` if it isn't.

  - ### isDeployedLocal

    public static final boolean isDeployedLocal(int servicesDeploymentState)
    Determines whether or not the specified state signifies that services have been deployed locally.
    Parameters:
      `servicesDeploymentState` - Services deployment state.
    Returns:
      `true` if the state indicates that services have been deployed locally.

  - ### isDeployingLocal

    public static final boolean isDeployingLocal(int servicesDeploymentState)
    Determines whether or not the specified state signifies that services are currently being locally deployed.
    Parameters:
      `servicesDeploymentState` - Services deployment state.
    Returns:
      `true` if the state indicates that services are being deployed locally.

  - ### isDeployedRemote

    public static final boolean isDeployedRemote(int servicesDeploymentState)
    Determines whether or not the specified state signifies that services are have been remotely deployed and are now available to lookup.
    Parameters:
      `servicesDeploymentState` - Services deployment state.
    Returns:
      `true` if the state indicates that remotely instantiated services have been looked up.

  - ### isDeployingRemote

    public static final boolean isDeployingRemote(int servicesDeploymentState)
    Determines whether or not the specified state signifies that services are currently being remotely deployed and therefore not available via lookup.
    Parameters:
      `servicesDeploymentState` - Services deployment state.
    Returns:
      `true` if the state indicates that remotely instantiated services are being looked up.

  - ### isFacadeInitialized

    public static final boolean isFacadeInitialized(int servicesDeploymentState)
    Determines whether or not the specified state signifies that the services facade has completed its requested service deployment and is initialized with any services that may have been deployed.
    Parameters:
      `servicesDeploymentState` -
    Returns:
      boolean

  - ### isTerminating

    public static final boolean isTerminating(int servicesDeploymentState)
    Determines whether or not the specified state signifies that services are currently being terminated.
    Parameters:
      `servicesDeploymentState` - Services deployment state.
    Returns:
      `true` if the state indicates that remotely instantiated services are being terminated.

  - ### isTerminated

    public static final boolean isTerminated(int servicesDeploymentState)
    Determines whether or not the specified state signifies that services are have been terminated.
    Parameters:
      `servicesDeploymentState` - Services deployment state.
    Returns:
      `true` if the state indicates that remotely instantiated services have been terminated.

  - ### isUnitialized

    public static final boolean isUnitialized(int servicesDeploymentState)
    Determines whether or not the specified state signifies that services are still uninitialized. This is the initial state prior to deploying any services.
    Parameters:
      `servicesDeploymentState` - Services deployment state.
    Returns:
      `true` if the state indicates that services are still uninitialized.